/*
 * Class WEL_TEXT_CAPABILITIES_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_102 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_102 [] = {0xFF01,1551,101,0xFFFF};
static const EIF_TYPE_INDEX egt_2_102 [] = {0xFF01,101,0xFFFF};
static const EIF_TYPE_INDEX egt_3_102 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_102 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_102 [] = {0xFF01,101,0xFFFF};
static const EIF_TYPE_INDEX egt_6_102 [] = {0xFF01,101,0xFFFF};
static const EIF_TYPE_INDEX egt_7_102 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_102 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_102 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_102 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_102 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_102 [] = {0xFF01,101,0xFFFF};


static const struct desc_info desc_102[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_102), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_102), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_102), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_102), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_102), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_102), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_102), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_102), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_102), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_102), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_102), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_102), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xCB /*101*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_102), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1305, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1306, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1309, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1310, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1311, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1313, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1318, 0xFFFFFFFF},
};
void Init102(void)
{
	IDSC(desc_102, 0, 101);
	IDSC(desc_102 + 1, 1, 101);
	IDSC(desc_102 + 32, 692, 101);
}


#ifdef __cplusplus
}
#endif
